summaryrefslogtreecommitdiffstats
path: root/desktop/bbrun/bbrun.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/bbrun/bbrun.SlackBuild')
-rw-r--r--desktop/bbrun/bbrun.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/desktop/bbrun/bbrun.SlackBuild b/desktop/bbrun/bbrun.SlackBuild
new file mode 100644
index 0000000000..dc69fa6298
--- /dev/null
+++ b/desktop/bbrun/bbrun.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# A slackbuild script for bbrun
+#
+# Copyright (c) 2007, Timothy Pollard
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL,EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
+# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+APP=bbrun
+VERSION=1.6
+ARCH=i386 #Leave this alone
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+START=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG $TMP/$APP-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP || exit 1
+tar xvf $START/$APP-$VERSION.tar.gz || exit 1
+cd $APP-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cd bbrun || exit 1
+ make || exit 1
+ install -m 0755 -D bbrun $PKG/usr/bin/bbrun
+ strip --strip-unneeded $PKG/usr/bin/bbrun
+cd -
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -a COPYING CREDITS Changelog README $PKG/usr/doc/$APP-$VERSION
+cp $START/$APP.SlackBuild $PKG/usr/doc/$APP-$VERSION/
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $START/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz